Add toggle button in EJ2 JavaScript Toolbar control

2 May 20237 minutes to read

JavaScript Toolbar supports to add a toggle Button by using the template property. Refer below steps

  • By using Toolbar template property, pass required HTML String to render toggle button.
    { template: '<button class="e-btn" id="media_btn"></button>' }
  • Now render the toggle Button into the targeted element in JavaScript Toolbar created event handler and bind click event for it. On clicking the toggle Button, change the required icon and content based on current active state.
var undoBtn;
var zoomBtn;
var mediaBtn;
var filterBtn;
var visibleBtn;

//Initialize Toolbar component
var toolbar = new ej.navigations.Toolbar({
    created: create,
    items: [
        { template: '<button class="e-btn" id="media_btn"></button>' }, 
        { template: '<button class="e-btn" id="zoom_btn"></button>' },
        { type: "Separator" },
        { template: '<button class="e-btn" id="undo_btn"></button>' }, 
        { template: '<button class="e-btn" id="filter_btn"></button>' },
        { type: "Separator" },
        { template: '<button class="e-btn" id="visible_btn"></button>'},
    ]
});

//Render initialized Toolbar component
toolbar.appendTo('#element');

function create() {
    zoomBtn = new ej.buttons.Button({ cssClass: `e-flat`, iconCss: 'e-icons e-zoomin-icon', isToggle: true });
    zoomBtn.appendTo('#zoom_btn');

    mediaBtn = new ej.buttons.Button({ cssClass: `e-flat`, iconCss: 'e-icons e-play-icon', isToggle: true });
    mediaBtn.appendTo('#media_btn');

    undoBtn = new ej.buttons.Button({ cssClass: `e-flat`, iconCss: 'e-icons e-undo-icon', isToggle: true });
    undoBtn.appendTo('#undo_btn');

    filterBtn = new ej.buttons.Button({ cssClass: `e-flat`, iconCss: 'e-icons e-filter-icon', isToggle: true });
    filterBtn.appendTo('#filter_btn');

    visibleBtn = new ej.buttons.Button({ cssClass: `e-flat`, iconCss: 'e-icons e-hide-icon', isToggle: true, content:'Hide'});
    visibleBtn.appendTo('#visible_btn');

    //Toggle button click event handlers
    zoomBtn.element.onclick = function() {
        if (zoomBtn.element.classList.contains('e-active')) {
            zoomBtn.iconCss = 'e-icons e-zoomout-icon';
        } else {
            zoomBtn.iconCss = 'e-icons e-zoomin-icon';
        }
    };

    mediaBtn.element.onclick = function() {
        if (mediaBtn.element.classList.contains('e-active')) {
            mediaBtn.iconCss = 'e-icons e-pause-icon';
        } else {
            mediaBtn.iconCss = 'e-icons e-play-icon';
        }
    };

    undoBtn.element.onclick = function() {
        if (undoBtn.element.classList.contains('e-active')) {
            undoBtn.iconCss = 'e-icons e-redo-icon';
        } else {
            undoBtn.iconCss = 'e-icons e-undo-icon';
        }
    };

    filterBtn.element.onclick = function() {
        if (filterBtn.element.classList.contains('e-active')) {
            filterBtn.iconCss = 'e-icons e-filternone-icon';
        } else {
            filterBtn.iconCss = 'e-icons e-filter-icon';
        }
    };

    visibleBtn.element.onclick = function() {
        if (visibleBtn.element.classList.contains('e-active')) {
            document.getElementById('content').style.display = 'none';
            visibleBtn.content = 'Show';
            visibleBtn.iconCss = 'e-icons e-show-icon';
        } else {
            document.getElementById('content').style.display = 'block';
            visibleBtn.content = 'Hide';
            visibleBtn.iconCss = 'e-icons e-hide-icon';
        }
    };
}
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Toolbar</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript Toolbar Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/25.1.35/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="element" class="toggle"></div>
        <br>
        <div id="content">
          This content will be hidden, when you click on hide button and toggle get an active state as show, otherwise it will be visible.
        </div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Add toggle button in React Toolbar component

29 Aug 202320 minutes to read

Toolbar supports to add a toggle Button by using the template property. Refer below steps

  • By using Toolbar template property, pass required HTML String to render toggle button.
  <ItemDirective template='<button class="e-btn" id="media_btn"></button>' />
  • Now render the toggle Button into the targeted element in Toolbar created event handler and bind click event for it. On clicking the toggle Button, change the required icon and content based on current active state.
import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { useRef } from 'react';
import { ToolbarComponent, ItemsDirective, ItemDirective } from '@syncfusion/ej2-react-navigations';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';

const ReactApp = () => {
  const zoomBtnRef = useRef<ButtonComponent>(null);
  const mediaBtnRef = useRef<ButtonComponent>(null);
  const undoBtnRef = useRef<ButtonComponent>(null);
  const filterBtnRef = useRef<ButtonComponent>(null);
  const visibleBtnRef = useRef<ButtonComponent>(null);
  const contentRef = useRef(null);

  //Toggle button click event handlers
  const zoomBtnClick = () => {
    if (zoomBtnRef.current) {
      zoomBtnRef.current.element.onclick = () => {
        if (zoomBtnRef.current.element.classList.contains('e-active')) {
          zoomBtnRef.current.iconCss = 'e-icons e-zoomout-icon';
        } else {
          zoomBtnRef.current.iconCss = 'e-icons e-zoomin-icon';
        }
      };
    }
  }

  const mediaBtnClick = () => {
    if (mediaBtnRef.current) {
      mediaBtnRef.current.element.onclick = () => {
        if (mediaBtnRef.current.element.classList.contains('e-active')) {
          mediaBtnRef.current.iconCss = 'e-icons e-pause-icon';
        } else {
          mediaBtnRef.current.iconCss = 'e-icons e-play-icon';
        }
      };
    }
  }

  const undoBtnClick = () => {
    if (undoBtnRef.current) {
      undoBtnRef.current.element.onclick = () => {
        if (undoBtnRef.current.element.classList.contains('e-active')) {
          undoBtnRef.current.iconCss = 'e-icons e-redo-icon';
        } else {
          undoBtnRef.current.iconCss = 'e-icons e-undo-icon';
        }
      };
    }
  }

  const filterBtnClick = () => {
    if (filterBtnRef.current) {
      filterBtnRef.current.element.onclick = () => {
        if (filterBtnRef.current.element.classList.contains('e-active')) {
          filterBtnRef.current.iconCss = 'e-icons e-filternone-icon';
        } else {
          filterBtnRef.current.iconCss = 'e-icons e-filter-icon';
        }
      };
    }
  }

  const visibleBtnClick = () => {
    if (visibleBtnRef.current) {
      visibleBtnRef.current.element.onclick = () => {
        if (visibleBtnRef.current.element.classList.contains('e-active')) {
          contentRef.current.style.display = 'none';
          visibleBtnRef.current.content = 'Show';
          visibleBtnRef.current.iconCss = 'e-icons e-show-icon';
        } else {
          contentRef.current.style.display = 'block';
          visibleBtnRef.current.content = 'Hide';
          visibleBtnRef.current.iconCss = 'e-icons e-hide-icon';
        }
      };
    }
  }

  const zoomBtn = () => {
    return (<div>
      <ButtonComponent cssClass='e-flat' iconCss='e-icons e-zoomin-icon' isToggle={true} ref={zoomBtnRef}></ButtonComponent>
    </div>);
  }
  const mediaBtn = () => {
    return (<div>
      <ButtonComponent cssClass='e-flat' iconCss='e-icons e-play-icon' isToggle={true} ref={mediaBtnRef}></ButtonComponent>
    </div>);
  }
  const undoBtn = () => {
    return (<div>
      <ButtonComponent cssClass='e-flat' iconCss='e-icons e-undo-icon' isToggle={true} ref={undoBtnRef}></ButtonComponent>
    </div>);
  }
  const filterBtn = () => {
    return (<div>
      <ButtonComponent cssClass='e-flat' iconCss='e-icons e-filter-icon' isToggle={true} ref={filterBtnRef}></ButtonComponent>
    </div>);
  }
  const visibleBtn = () => {
    return (<div>
      <ButtonComponent cssClass='e-flat' iconCss='e-icons e-hide-icon' isToggle={true} content='Hide' ref={visibleBtnRef}></ButtonComponent>
    </div>);
  }
  const divMargin = { margin: '25px 0' };

  return (
    <div className='control-pane'>
      <div className='control-section tbar-control-section'>
        <div className='control toolbar-sample tbar-sample' style={divMargin}>
          <ToolbarComponent id="ej2Toolbar">
            <ItemsDirective>
              <ItemDirective template={mediaBtn} click={mediaBtnClick} />
              <ItemDirective type='Separator' />
              <ItemDirective template={zoomBtn} click={zoomBtnClick} />
              <ItemDirective type='Separator' />
              <ItemDirective template={undoBtn} click={undoBtnClick} />
              <ItemDirective type='Separator' />
              <ItemDirective template={filterBtn} click={filterBtnClick} />
              <ItemDirective type='Separator' />
              <ItemDirective template={visibleBtn} click={visibleBtnClick} />
            </ItemsDirective>
          </ToolbarComponent>
          <br></br>
          <div ref={contentRef}>
            This content will be hidden, when you click on hide button and toggle
            get an active state as show, otherwise it will be visible.
          </div>
        </div>
      </div>
    </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('toolbar'));
root.render(<ReactApp />);
import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { useRef } from 'react';
import { ToolbarComponent, ItemsDirective, ItemDirective } from '@syncfusion/ej2-react-navigations';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';

const ReactApp = () => {
  const zoomBtnRef = useRef<ButtonComponent>(null);
  const mediaBtnRef = useRef<ButtonComponent>(null);
  const undoBtnRef = useRef<ButtonComponent>(null);
  const filterBtnRef = useRef<ButtonComponent>(null);
  const visibleBtnRef = useRef<ButtonComponent>(null);
  const contentRef = useRef(null);

  //Toggle button click event handlers
  const zoomBtnClick = () => {
    if (zoomBtnRef.current) {
      zoomBtnRef.current.element.onclick = () => {
        if (zoomBtnRef.current.element.classList.contains('e-active')) {
          zoomBtnRef.current.iconCss = 'e-icons e-zoomout-icon';
        } else {
          zoomBtnRef.current.iconCss = 'e-icons e-zoomin-icon';
        }
      };
    }
  }

  const mediaBtnClick = () => {
    if (mediaBtnRef.current) {
      mediaBtnRef.current.element.onclick = () => {
        if (mediaBtnRef.current.element.classList.contains('e-active')) {
          mediaBtnRef.current.iconCss = 'e-icons e-pause-icon';
        } else {
          mediaBtnRef.current.iconCss = 'e-icons e-play-icon';
        }
      };
    }
  }

  const undoBtnClick = () => {
    if (undoBtnRef.current) {
      undoBtnRef.current.element.onclick = () => {
        if (undoBtnRef.current.element.classList.contains('e-active')) {
          undoBtnRef.current.iconCss = 'e-icons e-redo-icon';
        } else {
          undoBtnRef.current.iconCss = 'e-icons e-undo-icon';
        }
      };
    }
  }

  const filterBtnClick = () => {
    if (filterBtnRef.current) {
      filterBtnRef.current.element.onclick = () => {
        if (filterBtnRef.current.element.classList.contains('e-active')) {
          filterBtnRef.current.iconCss = 'e-icons e-filternone-icon';
        } else {
          filterBtnRef.current.iconCss = 'e-icons e-filter-icon';
        }
      };
    }
  }

  const visibleBtnClick = () => {
    if (visibleBtnRef.current) {
      visibleBtnRef.current.element.onclick = () => {
        if (visibleBtnRef.current.element.classList.contains('e-active')) {
          contentRef.current.style.display = 'none';
          visibleBtnRef.current.content = 'Show';
          visibleBtnRef.current.iconCss = 'e-icons e-show-icon';
        } else {
          contentRef.current.style.display = 'block';
          visibleBtnRef.current.content = 'Hide';
          visibleBtnRef.current.iconCss = 'e-icons e-hide-icon';
        }
      };
    }
  }

  const zoomBtn = () => {
    return (<div>
      <ButtonComponent cssClass='e-flat' iconCss='e-icons e-zoomin-icon' isToggle={true} ref={zoomBtnRef}></ButtonComponent>
    </div>);
  }
  const mediaBtn = () => {
    return (<div>
      <ButtonComponent cssClass='e-flat' iconCss='e-icons e-play-icon' isToggle={true} ref={mediaBtnRef}></ButtonComponent>
    </div>);
  }
  const undoBtn = () => {
    return (<div>
      <ButtonComponent cssClass='e-flat' iconCss='e-icons e-undo-icon' isToggle={true} ref={undoBtnRef}></ButtonComponent>
    </div>);
  }
  const filterBtn = () => {
    return (<div>
      <ButtonComponent cssClass='e-flat' iconCss='e-icons e-filter-icon' isToggle={true} ref={filterBtnRef}></ButtonComponent>
    </div>);
  }
  const visibleBtn = () => {
    return (<div>
      <ButtonComponent cssClass='e-flat' iconCss='e-icons e-hide-icon' isToggle={true} content='Hide' ref={visibleBtnRef}></ButtonComponent>
    </div>);
  }
  const divMargin = { margin: '25px 0' };

  return (
    <div className='control-pane'>
      <div className='control-section tbar-control-section'>
        <div className='control toolbar-sample tbar-sample' style={divMargin}>
          <ToolbarComponent id="ej2Toolbar">
            <ItemsDirective>
              <ItemDirective template={mediaBtn} click={mediaBtnClick} />
              <ItemDirective type='Separator' />
              <ItemDirective template={zoomBtn} click={zoomBtnClick} />
              <ItemDirective type='Separator' />
              <ItemDirective template={undoBtn} click={undoBtnClick} />
              <ItemDirective type='Separator' />
              <ItemDirective template={filterBtn} click={filterBtnClick} />
              <ItemDirective type='Separator' />
              <ItemDirective template={visibleBtn} click={visibleBtnClick} />
            </ItemsDirective>
          </ToolbarComponent>
          <br></br>
          <div ref={contentRef}>
            This content will be hidden, when you click on hide button and toggle
            get an active state as show, otherwise it will be visible.
          </div>
        </div>
      </div>
    </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('toolbar'));
root.render(<ReactApp />);
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Toolbar Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/30.2.4/material.css" rel="stylesheet" />
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id="container">
      <div id="toolbar" class="toggle">
        <div id="loader">LOADING....</div>
      </div>
      <br />
    </div>
</body>

</html>

Add toggle button in Angular Toolbar component

28 Sep 202310 minutes to read

Toolbar supports to add a toggle Button by using the template property. Refer below steps

  • By using Toolbar template property, pass required HTML String to render toggle button.

        <e-item template='<button class="e-btn" id="media_btn"></button>'></e-item>
  • Now render the toggle Button into the targeted element in Toolbar created event handler and bind click event for it. On clicking the toggle Button, change the required icon and content based on current active state.

<div class="control-section e-tbar-section">
    <div class="e-sample-resize-container">
        <!-- Render the Toolbar Component -->
        <ejs-toolbar id="toolbar" class="toggle">
            <e-items>
                <e-item>
                    <ng-template #template>
                        <button ejs-button class="e-btn" cssClass="e-flat" iconCss="e-icons e-play-icon" isToggle="true" #playButton (click)="mediaBtnClick()"></button>
                    </ng-template>
                </e-item>
                <e-item type='Separator'></e-item>
                <e-item>
                    <ng-template #template>
                        <button ejs-button class="e-btn" cssClass="e-flat" iconCss="e-icons e-zoomin-icon" isToggle="true" #zoom (click)="zoomBtnClick()"></button>
                    </ng-template>
                </e-item>
                <e-item type='Separator'></e-item>
                <e-item>
                    <ng-template #template>
                        <button ejs-button class="e-btn" cssClass="e-flat" iconCss="e-icons e-undo-icon" isToggle="true" #undo (click)="undoBtnClick()"></button>
                    </ng-template>
                </e-item>
                <e-item type='Separator'></e-item>
                <e-item>
                    <ng-template #template>
                        <button ejs-button class="e-btn" cssClass="e-flat" iconCss="e-icons e-filter-icon" isToggle="true" #filter (click)="filterBtnClick()"></button>
                    </ng-template>
                </e-item>
                <e-item type='Separator'></e-item>
                <e-item>
                    <ng-template #template>
                        <button ejs-button class="e-btn" cssClass="e-flat" iconCss="e-icons e-hide-icon" isToggle="true" #hide (click)="hideBtnClick()" [content]="content"></button>
                    </ng-template>
                </e-item>
            </e-items>
        </ejs-toolbar>
        <br/>
        <div id="content">
          This content will be hidden, when you click on hide button and toggle get an active state as show, otherwise it will be visible.
        </div>
    </div>
</div>
import { Component, ViewEncapsulation, Inject, ViewChild } from '@angular/core';
import { Button, ButtonComponent } from '@syncfusion/ej2-angular-buttons';
import { ToolbarComponent } from '@syncfusion/ej2-angular-navigations';

@Component({
    selector: 'app-container',
    templateUrl: './app.component.html',
    encapsulation: ViewEncapsulation.None
})
export class DefaultToolbarComponent {
    @ViewChild('playButton') public mediaBtn!: ButtonComponent;
    @ViewChild('zoom') public zoomBtn!: ButtonComponent;
    @ViewChild('undo') public undoBtn!: ButtonComponent;
    @ViewChild('filter') public filterBtn!: ButtonComponent;
    @ViewChild('hide') public visibleBtn!: ButtonComponent;
    
    public content: string = 'Hide';
    public mediaBtnClick() { 
        if (this.mediaBtn.element.classList.contains('e-active')) {
            this.mediaBtn.iconCss = 'e-icons e-play-icon';
        } else {
            this.mediaBtn.iconCss = 'e-icons e-pause-icon';
        }
    }

    public zoomBtnClick() { 
        if (this.zoomBtn.element.classList.contains('e-active')) {
            this.zoomBtn.iconCss = 'e-icons e-zoomin-icon';
        } else {
            this.zoomBtn.iconCss = 'e-icons e-zoomout-icon';
        }
    }

    public undoBtnClick() { 
        if (this.undoBtn.element.classList.contains('e-active')) {
            this.undoBtn.iconCss = 'e-icons e-undo-icon';
        } else {
            this.undoBtn.iconCss = 'e-icons e-redo-icon';
        }
    }

    public filterBtnClick() { 
        if (this.filterBtn.element.classList.contains('e-active')) {
            this.filterBtn.iconCss = 'e-icons e-filter-icon';
        } else {
            this.filterBtn.iconCss = 'e-icons e-filternone-icon';
        }
    }

    public hideBtnClick() { 
        if (this.visibleBtn.element.classList.contains('e-active')) {
            (document.getElementById('content') as HTMLElement).style.display = 'block';
            this.visibleBtn.iconCss = 'e-icons e-hide-icon';
            this.content = 'Hide';
        } else {
            (document.getElementById('content') as HTMLElement).style.display = 'none';
            this.visibleBtn.iconCss = 'e-icons e-show-icon';
            this.content = 'Show';
        }
    }
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { ToolbarModule } from '@syncfusion/ej2-angular-navigations';
import { DefaultToolbarComponent } from './app.component';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';


/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule, ToolbarModule, ButtonModule
    ],
    declarations: [DefaultToolbarComponent ],
    bootstrap: [DefaultToolbarComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

import 'zone.js';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);